Name:          alephone-marathon
Version:       20230119
Release:       1mamba
Summary:       Marathon scenario data files for Aleph One
Group:         Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://alephone.lhowon.org/
Source:        https://github.com/Aleph-One-Marathon/alephone/releases/download/release-%{version}/Marathon-%{version}-Data.zip
Source1:       alephone-marathon.sh
Source2:       alephone-marathon.desktop
Source3:       alephone-scenario-LICENSE
License:       no OSI Approved
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      alephone
Provides:      alephone-data
Provides:      AlephOne-data
Obsoletes:     AlephOne-data <= 20080808

%description
Marathon scenario data files for Aleph One.

%prep
%setup -q -c -n %{name}-%{version}
cp %{SOURCE3} LICENSE

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_datadir}/AlephOne/scenarios
cp -a Marathon %{buildroot}%{_datadir}/AlephOne/scenarios/

install -D -m0755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}
install -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/AlephOne/scenarios/Marathon
%{_datadir}/AlephOne/scenarios/Marathon/*
%doc LICENSE

%changelog
* Sat Jan 21 2023 Automatic Build System <autodist@mambasoft.it> 20230119-1mamba
- automatic version update by autodist

* Mon Nov 28 2022 Automatic Build System <autodist@mambasoft.it> 20221126-1mamba
- automatic version update by autodist

* Mon Jan 17 2022 Automatic Build System <autodist@mambasoft.it> 20220115-1mamba
- automatic version update by autodist

* Fri Dec 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 20210408-1mamba
- package created by autospec
